import Vuex, { Store } from 'vuex'
import Vue from 'vue'
import { player } from './player.js'
import { settings } from './settings.js'
import { subscriptions } from './subscriptions.js'

Vue.use(Vuex)

const store = new Store({
	modules: {
		player,
		settings,
		subscriptions,
	},
})

export default store
